#!/usr/bin/env sh

export GO=$(which go)
$GO version

mkdir build

GIT_COMMIT=$(git rev-list -1 HEAD)
export GIT_COMMIT
CANONICAL_VERSION=$(cat ./VERSION)-$(uname)
export CANONICAL_VERSION
VERSION_STRING="$CANONICAL_VERSION-$GIT_COMMIT"
export VERSION_STRING

buildpath="build/$(uname)/gostations"

$GO mod vendor
$GO mod tidy

$GO build -o "$buildpath" -ldflags "-X main.version=$VERSION_STRING"

"$buildpath" -v

